Subject: bug#15984: 24.3; Problem with combining characters in attachment filename

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Nov 2013 11:00:15 +0200

> From: [email-masked] (Niels Möller)
> Cc: [email-masked]
> Date: Fri, 29 Nov 2013 09:49:15 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> (Digression: I think text-processor supporting unicode really ought to
> >> represent "characters" as interned strings of unicode (or utf-8) code
> >> points.
> >
> > That's what Emacs does since v23.1 (except that we extend the range of
> > Unicode codepoints to represent some non-unified characters and binary
> > raw bytes).
> 
> Good! I thought emacs used a simpler mapping character <-> a single
> unicode value.

Maybe I misunderstood you: what's the difference between those two
alternatives?

> > > glyphs should usually be associated only with the normalized form.
> > 
> > Here I disagree.  There are definitely situations where this is not
> > TRT, and they aren't "unusual".
> 
> Ok. What's the typical use case where you'd want to have different
> glyphs for "Å", "A" + ring above combining char, and Ångström unit sign?

MacOS file names, I think.  Also, display in "C-u C-x =", which is
very important for understanding and debugging Emacs display features.

> > Thanks.  I'd also need instructions to display that message in Gnus
> > after saving it to a file, starting with "emacs -Q", as I don't have
> > Gnus set up and don't use it in my day-to-day work.
> 
> I'm also not sure how to do that, but I'll try to figure out.

Thanks.